1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# SPDX-FileCopyrightText: 2002-2021 Ole Tange, http://ole.tange.dk and Free Software and Foundation, Inc.
18#
19# SPDX-License-Identifier: GPL-3.0-or-later
20VPATH = @srcdir@
21am__is_gnu_make = { \
22  if test -z '$(MAKELEVEL)'; then \
23    false; \
24  elif test -n '$(MAKE_HOST)'; then \
25    true; \
26  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
27    true; \
28  else \
29    false; \
30  fi; \
31}
32am__make_running_with_option = \
33  case $${target_option-} in \
34      ?) ;; \
35      *) echo "am__make_running_with_option: internal error: invalid" \
36              "target option '$${target_option-}' specified" >&2; \
37         exit 1;; \
38  esac; \
39  has_opt=no; \
40  sane_makeflags=$$MAKEFLAGS; \
41  if $(am__is_gnu_make); then \
42    sane_makeflags=$$MFLAGS; \
43  else \
44    case $$MAKEFLAGS in \
45      *\\[\ \	]*) \
46        bs=\\; \
47        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
48          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
49    esac; \
50  fi; \
51  skip_next=no; \
52  strip_trailopt () \
53  { \
54    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
55  }; \
56  for flg in $$sane_makeflags; do \
57    test $$skip_next = yes && { skip_next=no; continue; }; \
58    case $$flg in \
59      *=*|--*) continue;; \
60        -*I) strip_trailopt 'I'; skip_next=yes;; \
61      -*I?*) strip_trailopt 'I';; \
62        -*O) strip_trailopt 'O'; skip_next=yes;; \
63      -*O?*) strip_trailopt 'O';; \
64        -*l) strip_trailopt 'l'; skip_next=yes;; \
65      -*l?*) strip_trailopt 'l';; \
66      -[dEDm]) skip_next=yes;; \
67      -[JT]) skip_next=yes;; \
68    esac; \
69    case $$flg in \
70      *$$target_option*) has_opt=yes; break;; \
71    esac; \
72  done; \
73  test $$has_opt = yes
74am__make_dryrun = (target_option=n; $(am__make_running_with_option))
75am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
76pkgdatadir = $(datadir)/@PACKAGE@
77pkgincludedir = $(includedir)/@PACKAGE@
78pkglibdir = $(libdir)/@PACKAGE@
79pkglibexecdir = $(libexecdir)/@PACKAGE@
80am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
81install_sh_DATA = $(install_sh) -c -m 644
82install_sh_PROGRAM = $(install_sh) -c
83install_sh_SCRIPT = $(install_sh) -c
84INSTALL_HEADER = $(INSTALL_DATA)
85transform = $(program_transform_name)
86NORMAL_INSTALL = :
87PRE_INSTALL = :
88POST_INSTALL = :
89NORMAL_UNINSTALL = :
90PRE_UNINSTALL = :
91POST_UNINSTALL = :
92subdir = .
93ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94am__aclocal_m4_deps = $(top_srcdir)/configure.ac
95am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
96	$(ACLOCAL_M4)
97DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
98	$(am__configure_deps) $(am__DIST_COMMON)
99am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
100 configure.lineno config.status.lineno
101mkinstalldirs = $(install_sh) -d
102CONFIG_HEADER = config.h
103CONFIG_CLEAN_FILES =
104CONFIG_CLEAN_VPATH_FILES =
105AM_V_P = $(am__v_P_@AM_V@)
106am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
107am__v_P_0 = false
108am__v_P_1 = :
109AM_V_GEN = $(am__v_GEN_@AM_V@)
110am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
111am__v_GEN_0 = @echo "  GEN     " $@;
112am__v_GEN_1 =
113AM_V_at = $(am__v_at_@AM_V@)
114am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
115am__v_at_0 = @
116am__v_at_1 =
117SOURCES =
118DIST_SOURCES =
119RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
120	ctags-recursive dvi-recursive html-recursive info-recursive \
121	install-data-recursive install-dvi-recursive \
122	install-exec-recursive install-html-recursive \
123	install-info-recursive install-pdf-recursive \
124	install-ps-recursive install-recursive installcheck-recursive \
125	installdirs-recursive pdf-recursive ps-recursive \
126	tags-recursive uninstall-recursive
127am__can_run_installinfo = \
128  case $$AM_UPDATE_INFO_DIR in \
129    n|no|NO) false;; \
130    *) (install-info --version) >/dev/null 2>&1;; \
131  esac
132RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
133  distclean-recursive maintainer-clean-recursive
134am__recursive_targets = \
135  $(RECURSIVE_TARGETS) \
136  $(RECURSIVE_CLEAN_TARGETS) \
137  $(am__extra_recursive_targets)
138AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
139	cscope distdir distdir-am dist dist-all distcheck
140am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
141	$(LISP)config.h.in
142# Read a list of newline-separated strings from the standard input,
143# and print each of them once, without duplicates.  Input order is
144# *not* preserved.
145am__uniquify_input = $(AWK) '\
146  BEGIN { nonempty = 0; } \
147  { items[$$0] = 1; nonempty = 1; } \
148  END { if (nonempty) { for (i in items) print i; }; } \
149'
150# Make sure the list of sources is unique.  This is necessary because,
151# e.g., the same source file might be shared among _SOURCES variables
152# for different programs/libraries.
153am__define_uniq_tagged_files = \
154  list='$(am__tagged_files)'; \
155  unique=`for i in $$list; do \
156    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
157  done | $(am__uniquify_input)`
158ETAGS = etags
159CTAGS = ctags
160CSCOPE = cscope
161DIST_SUBDIRS = $(SUBDIRS)
162am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in NEWS \
163	README install-sh missing
164DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
165distdir = $(PACKAGE)-$(VERSION)
166top_distdir = $(distdir)
167am__remove_distdir = \
168  if test -d "$(distdir)"; then \
169    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
170      && rm -rf "$(distdir)" \
171      || { sleep 5 && rm -rf "$(distdir)"; }; \
172  else :; fi
173am__post_remove_distdir = $(am__remove_distdir)
174am__relativize = \
175  dir0=`pwd`; \
176  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
177  sed_rest='s,^[^/]*/*,,'; \
178  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
179  sed_butlast='s,/*[^/]*$$,,'; \
180  while test -n "$$dir1"; do \
181    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
182    if test "$$first" != "."; then \
183      if test "$$first" = ".."; then \
184        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
185        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
186      else \
187        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
188        if test "$$first2" = "$$first"; then \
189          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
190        else \
191          dir2="../$$dir2"; \
192        fi; \
193        dir0="$$dir0"/"$$first"; \
194      fi; \
195    fi; \
196    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
197  done; \
198  reldir="$$dir2"
199DIST_ARCHIVES = $(distdir).tar.gz
200GZIP_ENV = --best
201DIST_TARGETS = dist-gzip
202distuninstallcheck_listfiles = find . -type f -print
203am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
204  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
205distcleancheck_listfiles = find . -type f -print
206ACLOCAL = @ACLOCAL@
207AMTAR = @AMTAR@
208AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
209AUTOCONF = @AUTOCONF@
210AUTOHEADER = @AUTOHEADER@
211AUTOMAKE = @AUTOMAKE@
212AWK = @AWK@
213CYGPATH_W = @CYGPATH_W@
214DEFS = @DEFS@
215ECHO_C = @ECHO_C@
216ECHO_N = @ECHO_N@
217ECHO_T = @ECHO_T@
218INSTALL = @INSTALL@
219INSTALL_DATA = @INSTALL_DATA@
220INSTALL_PROGRAM = @INSTALL_PROGRAM@
221INSTALL_SCRIPT = @INSTALL_SCRIPT@
222INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
223LIBOBJS = @LIBOBJS@
224LIBS = @LIBS@
225LN_S = @LN_S@
226LTLIBOBJS = @LTLIBOBJS@
227MAKEINFO = @MAKEINFO@
228MKDIR_P = @MKDIR_P@
229PACKAGE = @PACKAGE@
230PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
231PACKAGE_NAME = @PACKAGE_NAME@
232PACKAGE_STRING = @PACKAGE_STRING@
233PACKAGE_TARNAME = @PACKAGE_TARNAME@
234PACKAGE_URL = @PACKAGE_URL@
235PACKAGE_VERSION = @PACKAGE_VERSION@
236PATH_SEPARATOR = @PATH_SEPARATOR@
237SET_MAKE = @SET_MAKE@
238SHELL = @SHELL@
239STRIP = @STRIP@
240VERSION = @VERSION@
241abs_builddir = @abs_builddir@
242abs_srcdir = @abs_srcdir@
243abs_top_builddir = @abs_top_builddir@
244abs_top_srcdir = @abs_top_srcdir@
245am__leading_dot = @am__leading_dot@
246am__tar = @am__tar@
247am__untar = @am__untar@
248bindir = @bindir@
249build_alias = @build_alias@
250builddir = @builddir@
251datadir = @datadir@
252datarootdir = @datarootdir@
253docdir = @docdir@
254dvidir = @dvidir@
255exec_prefix = @exec_prefix@
256host_alias = @host_alias@
257htmldir = @htmldir@
258includedir = @includedir@
259infodir = @infodir@
260install_sh = @install_sh@
261libdir = @libdir@
262libexecdir = @libexecdir@
263localedir = @localedir@
264localstatedir = @localstatedir@
265mandir = @mandir@
266mkdir_p = @mkdir_p@
267oldincludedir = @oldincludedir@
268pdfdir = @pdfdir@
269prefix = @prefix@
270program_transform_name = @program_transform_name@
271psdir = @psdir@
272runstatedir = @runstatedir@
273sbindir = @sbindir@
274sharedstatedir = @sharedstatedir@
275srcdir = @srcdir@
276sysconfdir = @sysconfdir@
277target_alias = @target_alias@
278top_build_prefix = @top_build_prefix@
279top_builddir = @top_builddir@
280top_srcdir = @top_srcdir@
281SUBDIRS = src
282EXTRA_DIST = CITATION CREDITS LICENSES/CC-BY-SA-4.0.txt LICENSES/GFDL-1.3-or-later.txt LICENSES/GPL-3.0-or-later.txt
283all: config.h
284	$(MAKE) $(AM_MAKEFLAGS) all-recursive
285
286.SUFFIXES:
287am--refresh: Makefile
288	@:
289$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
290	@for dep in $?; do \
291	  case '$(am__configure_deps)' in \
292	    *$$dep*) \
293	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
294	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
295		&& exit 0; \
296	      exit 1;; \
297	  esac; \
298	done; \
299	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
300	$(am__cd) $(top_srcdir) && \
301	  $(AUTOMAKE) --foreign Makefile
302Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
303	@case '$?' in \
304	  *config.status*) \
305	    echo ' $(SHELL) ./config.status'; \
306	    $(SHELL) ./config.status;; \
307	  *) \
308	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
309	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
310	esac;
311
312$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
313	$(SHELL) ./config.status --recheck
314
315$(top_srcdir)/configure:  $(am__configure_deps)
316	$(am__cd) $(srcdir) && $(AUTOCONF)
317$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
318	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
319$(am__aclocal_m4_deps):
320
321config.h: stamp-h1
322	@test -f $@ || rm -f stamp-h1
323	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
324
325stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
326	@rm -f stamp-h1
327	cd $(top_builddir) && $(SHELL) ./config.status config.h
328$(srcdir)/config.h.in:  $(am__configure_deps)
329	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
330	rm -f stamp-h1
331	touch $@
332
333distclean-hdr:
334	-rm -f config.h stamp-h1
335
336# This directory's subdirectories are mostly independent; you can cd
337# into them and run 'make' without going through this Makefile.
338# To change the values of 'make' variables: instead of editing Makefiles,
339# (1) if the variable is set in 'config.status', edit 'config.status'
340#     (which will cause the Makefiles to be regenerated when you run 'make');
341# (2) otherwise, pass the desired values on the 'make' command line.
342$(am__recursive_targets):
343	@fail=; \
344	if $(am__make_keepgoing); then \
345	  failcom='fail=yes'; \
346	else \
347	  failcom='exit 1'; \
348	fi; \
349	dot_seen=no; \
350	target=`echo $@ | sed s/-recursive//`; \
351	case "$@" in \
352	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
353	  *) list='$(SUBDIRS)' ;; \
354	esac; \
355	for subdir in $$list; do \
356	  echo "Making $$target in $$subdir"; \
357	  if test "$$subdir" = "."; then \
358	    dot_seen=yes; \
359	    local_target="$$target-am"; \
360	  else \
361	    local_target="$$target"; \
362	  fi; \
363	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
364	  || eval $$failcom; \
365	done; \
366	if test "$$dot_seen" = "no"; then \
367	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
368	fi; test -z "$$fail"
369
370ID: $(am__tagged_files)
371	$(am__define_uniq_tagged_files); mkid -fID $$unique
372tags: tags-recursive
373TAGS: tags
374
375tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
376	set x; \
377	here=`pwd`; \
378	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
379	  include_option=--etags-include; \
380	  empty_fix=.; \
381	else \
382	  include_option=--include; \
383	  empty_fix=; \
384	fi; \
385	list='$(SUBDIRS)'; for subdir in $$list; do \
386	  if test "$$subdir" = .; then :; else \
387	    test ! -f $$subdir/TAGS || \
388	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
389	  fi; \
390	done; \
391	$(am__define_uniq_tagged_files); \
392	shift; \
393	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
394	  test -n "$$unique" || unique=$$empty_fix; \
395	  if test $$# -gt 0; then \
396	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
397	      "$$@" $$unique; \
398	  else \
399	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
400	      $$unique; \
401	  fi; \
402	fi
403ctags: ctags-recursive
404
405CTAGS: ctags
406ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
407	$(am__define_uniq_tagged_files); \
408	test -z "$(CTAGS_ARGS)$$unique" \
409	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
410	     $$unique
411
412GTAGS:
413	here=`$(am__cd) $(top_builddir) && pwd` \
414	  && $(am__cd) $(top_srcdir) \
415	  && gtags -i $(GTAGS_ARGS) "$$here"
416cscope: cscope.files
417	test ! -s cscope.files \
418	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
419clean-cscope:
420	-rm -f cscope.files
421cscope.files: clean-cscope cscopelist
422cscopelist: cscopelist-recursive
423
424cscopelist-am: $(am__tagged_files)
425	list='$(am__tagged_files)'; \
426	case "$(srcdir)" in \
427	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
428	  *) sdir=$(subdir)/$(srcdir) ;; \
429	esac; \
430	for i in $$list; do \
431	  if test -f "$$i"; then \
432	    echo "$(subdir)/$$i"; \
433	  else \
434	    echo "$$sdir/$$i"; \
435	  fi; \
436	done >> $(top_builddir)/cscope.files
437
438distclean-tags:
439	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
440	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
441
442distdir: $(BUILT_SOURCES)
443	$(MAKE) $(AM_MAKEFLAGS) distdir-am
444
445distdir-am: $(DISTFILES)
446	$(am__remove_distdir)
447	test -d "$(distdir)" || mkdir "$(distdir)"
448	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
450	list='$(DISTFILES)'; \
451	  dist_files=`for file in $$list; do echo $$file; done | \
452	  sed -e "s|^$$srcdirstrip/||;t" \
453	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
454	case $$dist_files in \
455	  */*) $(MKDIR_P) `echo "$$dist_files" | \
456			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
457			   sort -u` ;; \
458	esac; \
459	for file in $$dist_files; do \
460	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
461	  if test -d $$d/$$file; then \
462	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
463	    if test -d "$(distdir)/$$file"; then \
464	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
465	    fi; \
466	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
467	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
468	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
469	    fi; \
470	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
471	  else \
472	    test -f "$(distdir)/$$file" \
473	    || cp -p $$d/$$file "$(distdir)/$$file" \
474	    || exit 1; \
475	  fi; \
476	done
477	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
478	  if test "$$subdir" = .; then :; else \
479	    $(am__make_dryrun) \
480	      || test -d "$(distdir)/$$subdir" \
481	      || $(MKDIR_P) "$(distdir)/$$subdir" \
482	      || exit 1; \
483	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
484	    $(am__relativize); \
485	    new_distdir=$$reldir; \
486	    dir1=$$subdir; dir2="$(top_distdir)"; \
487	    $(am__relativize); \
488	    new_top_distdir=$$reldir; \
489	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
490	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
491	    ($(am__cd) $$subdir && \
492	      $(MAKE) $(AM_MAKEFLAGS) \
493	        top_distdir="$$new_top_distdir" \
494	        distdir="$$new_distdir" \
495		am__remove_distdir=: \
496		am__skip_length_check=: \
497		am__skip_mode_fix=: \
498	        distdir) \
499	      || exit 1; \
500	  fi; \
501	done
502	-test -n "$(am__skip_mode_fix)" \
503	|| find "$(distdir)" -type d ! -perm -755 \
504		-exec chmod u+rwx,go+rx {} \; -o \
505	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
506	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
507	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
508	|| chmod -R a+r "$(distdir)"
509dist-gzip: distdir
510	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
511	$(am__post_remove_distdir)
512
513dist-bzip2: distdir
514	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
515	$(am__post_remove_distdir)
516
517dist-lzip: distdir
518	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
519	$(am__post_remove_distdir)
520
521dist-xz: distdir
522	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
523	$(am__post_remove_distdir)
524
525dist-tarZ: distdir
526	@echo WARNING: "Support for distribution archives compressed with" \
527		       "legacy program 'compress' is deprecated." >&2
528	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
529	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
530	$(am__post_remove_distdir)
531
532dist-shar: distdir
533	@echo WARNING: "Support for shar distribution archives is" \
534	               "deprecated." >&2
535	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
536	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
537	$(am__post_remove_distdir)
538
539dist-zip: distdir
540	-rm -f $(distdir).zip
541	zip -rq $(distdir).zip $(distdir)
542	$(am__post_remove_distdir)
543
544dist dist-all:
545	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
546	$(am__post_remove_distdir)
547
548# This target untars the dist file and tries a VPATH configuration.  Then
549# it guarantees that the distribution is self-contained by making another
550# tarfile.
551distcheck: dist
552	case '$(DIST_ARCHIVES)' in \
553	*.tar.gz*) \
554	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
555	*.tar.bz2*) \
556	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
557	*.tar.lz*) \
558	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
559	*.tar.xz*) \
560	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
561	*.tar.Z*) \
562	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
563	*.shar.gz*) \
564	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
565	*.zip*) \
566	  unzip $(distdir).zip ;;\
567	esac
568	chmod -R a-w $(distdir)
569	chmod u+w $(distdir)
570	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
571	chmod a-w $(distdir)
572	test -d $(distdir)/_build || exit 0; \
573	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
574	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
575	  && am__cwd=`pwd` \
576	  && $(am__cd) $(distdir)/_build/sub \
577	  && ../../configure \
578	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
579	    $(DISTCHECK_CONFIGURE_FLAGS) \
580	    --srcdir=../.. --prefix="$$dc_install_base" \
581	  && $(MAKE) $(AM_MAKEFLAGS) \
582	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
583	  && $(MAKE) $(AM_MAKEFLAGS) check \
584	  && $(MAKE) $(AM_MAKEFLAGS) install \
585	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
586	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
587	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
588	        distuninstallcheck \
589	  && chmod -R a-w "$$dc_install_base" \
590	  && ({ \
591	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
592	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
593	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
594	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
595	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
596	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
597	  && rm -rf "$$dc_destdir" \
598	  && $(MAKE) $(AM_MAKEFLAGS) dist \
599	  && rm -rf $(DIST_ARCHIVES) \
600	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
601	  && cd "$$am__cwd" \
602	  || exit 1
603	$(am__post_remove_distdir)
604	@(echo "$(distdir) archives ready for distribution: "; \
605	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
606	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
607distuninstallcheck:
608	@test -n '$(distuninstallcheck_dir)' || { \
609	  echo 'ERROR: trying to run $@ with an empty' \
610	       '$$(distuninstallcheck_dir)' >&2; \
611	  exit 1; \
612	}; \
613	$(am__cd) '$(distuninstallcheck_dir)' || { \
614	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
615	  exit 1; \
616	}; \
617	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
618	   || { echo "ERROR: files left after uninstall:" ; \
619	        if test -n "$(DESTDIR)"; then \
620	          echo "  (check DESTDIR support)"; \
621	        fi ; \
622	        $(distuninstallcheck_listfiles) ; \
623	        exit 1; } >&2
624distcleancheck: distclean
625	@if test '$(srcdir)' = . ; then \
626	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
627	  exit 1 ; \
628	fi
629	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
630	  || { echo "ERROR: files left in build directory after distclean:" ; \
631	       $(distcleancheck_listfiles) ; \
632	       exit 1; } >&2
633check-am: all-am
634check: check-recursive
635all-am: Makefile config.h
636installdirs: installdirs-recursive
637installdirs-am:
638install: install-recursive
639install-exec: install-exec-recursive
640install-data: install-data-recursive
641uninstall: uninstall-recursive
642
643install-am: all-am
644	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
645
646installcheck: installcheck-recursive
647install-strip:
648	if test -z '$(STRIP)'; then \
649	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
650	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
651	      install; \
652	else \
653	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
654	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
655	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
656	fi
657mostlyclean-generic:
658
659clean-generic:
660
661distclean-generic:
662	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
663	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
664
665maintainer-clean-generic:
666	@echo "This command is intended for maintainers to use"
667	@echo "it deletes files that may require special tools to rebuild."
668clean: clean-recursive
669
670clean-am: clean-generic mostlyclean-am
671
672distclean: distclean-recursive
673	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
674	-rm -f Makefile
675distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
676
677dvi: dvi-recursive
678
679dvi-am:
680
681html: html-recursive
682
683html-am:
684
685info: info-recursive
686
687info-am:
688
689install-data-am:
690
691install-dvi: install-dvi-recursive
692
693install-dvi-am:
694
695install-exec-am:
696
697install-html: install-html-recursive
698
699install-html-am:
700
701install-info: install-info-recursive
702
703install-info-am:
704
705install-man:
706
707install-pdf: install-pdf-recursive
708
709install-pdf-am:
710
711install-ps: install-ps-recursive
712
713install-ps-am:
714
715installcheck-am:
716
717maintainer-clean: maintainer-clean-recursive
718	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
719	-rm -rf $(top_srcdir)/autom4te.cache
720	-rm -f Makefile
721maintainer-clean-am: distclean-am maintainer-clean-generic
722
723mostlyclean: mostlyclean-recursive
724
725mostlyclean-am: mostlyclean-generic
726
727pdf: pdf-recursive
728
729pdf-am:
730
731ps: ps-recursive
732
733ps-am:
734
735uninstall-am:
736
737.MAKE: $(am__recursive_targets) all install-am install-strip
738
739.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
740	am--refresh check check-am clean clean-cscope clean-generic \
741	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
742	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
743	distcheck distclean distclean-generic distclean-hdr \
744	distclean-tags distcleancheck distdir distuninstallcheck dvi \
745	dvi-am html html-am info info-am install install-am \
746	install-data install-data-am install-dvi install-dvi-am \
747	install-exec install-exec-am install-html install-html-am \
748	install-info install-info-am install-man install-pdf \
749	install-pdf-am install-ps install-ps-am install-strip \
750	installcheck installcheck-am installdirs installdirs-am \
751	maintainer-clean maintainer-clean-generic mostlyclean \
752	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
753	uninstall-am
754
755.PRECIOUS: Makefile
756
757
758test:
759	cd testsuite; make 1
760
761web:
762	cd src; make web
763
764upload:
765	eval `gpg-agent --daemon`
766# make sure $YYYYMMDD is set
767	echo $(YYYYMMDD) | grep 20
768	cp parallel-$(YYYYMMDD).tar.bz2 parallel-latest.tar.bz2
769	cp doc/parallel.directive parallel-$(YYYYMMDD).tar.bz2.directive
770	perl -i -pe "s/20\d\d\d\d\d\d/$(YYYYMMDD)/" parallel-*.tar.*directive
771	gpg --clearsign --yes parallel-$(YYYYMMDD).tar.bz2.directive
772
773	cp doc/parallel.latest.directive parallel-latest.tar.bz2.directive
774	perl -i -pe "s/20\d\d\d\d\d\d/$(YYYYMMDD)/" parallel-latest.tar.*directive
775	gpg --clearsign --yes parallel-latest.tar.bz2.directive
776
777	(echo '#!/bin/bash'; \
778	 echo; \
779	 echo "# To check the signature run:"; \
780	 echo "#   echo | gpg"; \
781	 echo "#   gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-$(YYYYMMDD).tar.bz2.sig"; \
782	 echo; \
783	 echo "echo | gpg 2>/dev/null"; \
784	 echo 'gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve $$0'; \
785	 echo 'exit $$?' ; \
786	 echo; \
787	 gpg -ab -o - parallel-$(YYYYMMDD).tar.bz2; \
788	) > parallel-$(YYYYMMDD).tar.bz2.sig
789
790	(echo '#!/bin/bash'; \
791	 echo; \
792	 echo "# To check the signature run:"; \
793	 echo "#   echo | gpg"; \
794	 echo "#   gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-latest.tar.bz2.sig"; \
795	 echo; \
796	 echo "echo | gpg 2>/dev/null"; \
797	 echo 'gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve $$0'; \
798	 echo 'exit $$?' ; \
799	 echo; \
800	 gpg -ab -o - parallel-$(YYYYMMDD).tar.bz2; \
801	) > parallel-latest.tar.bz2.sig
802
803	gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-latest.tar.bz2.sig
804	gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-$(YYYYMMDD).tar.bz2.sig
805
806	../ftpsync/src/ftpsync parallel-$(YYYYMMDD).tar.bz2{,.sig,*asc} ftp://ftp-upload.gnu.org/incoming/ftp/
807	../ftpsync/src/ftpsync parallel-latest.tar.bz2{,.sig,*asc} ftp://ftp-upload.gnu.org/incoming/ftp/
808
809# This can take 7 minutes
810	pushd /tmp; \
811	rm -rf /tmp/parallel-$(YYYYMMDD)*; \
812	while ! wget https://ftp.gnu.org/gnu/parallel/parallel-$(YYYYMMDD).tar.bz2 ; do sleep 2; done; \
813	tar xjvf parallel-$(YYYYMMDD).tar.bz2; \
814	cd parallel-$(YYYYMMDD); \
815	./configure; \
816	make -j && sudo make -j install; \
817	pushd; \
818	sudo cp /usr/local/bin/parallel /usr/local/bin/parallel-$(YYYYMMDD)
819
820alphaupload:
821# Copy of upload
822	eval `gpg-agent --daemon`
823# make sure $YYYYMMDD is set
824	echo $(YYYYMMDD) | grep 20
825	cp parallel-$(YYYYMMDD).tar.bz2 parallel-latest.tar.bz2
826	cp doc/parallel.directive parallel-$(YYYYMMDD).tar.bz2.directive
827	perl -i -pe "s/20\d\d\d\d\d\d/$(YYYYMMDD)/" parallel-*.tar.*directive
828	gpg --clearsign --yes parallel-$(YYYYMMDD).tar.bz2.directive
829
830	cp doc/parallel.latest.directive parallel-latest.tar.bz2.directive
831	perl -i -pe "s/20\d\d\d\d\d\d/$(YYYYMMDD)/" parallel-latest.tar.*directive
832	gpg --clearsign --yes parallel-latest.tar.bz2.directive
833
834	(echo '#!/bin/bash'; \
835	 echo; \
836	 echo "# To check the signature run:"; \
837	 echo "#  echo | gpg"; \
838	 echo "#  gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-$(YYYYMMDD).tar.bz2.sig"; \
839	 echo; \
840	 echo "echo | gpg 2>/dev/null"; \
841	 echo 'gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve $$0'; \
842	 echo 'exit $$?' ; \
843	 echo; \
844	 gpg -ab -o - parallel-$(YYYYMMDD).tar.bz2; \
845	) > parallel-$(YYYYMMDD).tar.bz2.sig
846
847	(echo '#!/bin/bash'; \
848	 echo; \
849	 echo "# To check the signature run:"; \
850	 echo "#  echo | gpg"; \
851	 echo "#  gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-latest.tar.bz2.sig"; \
852	 echo; \
853	 echo "echo | gpg 2>/dev/null"; \
854	 echo 'gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve $$0'; \
855	 echo 'exit $$?' ; \
856	 echo; \
857	 gpg -ab -o - parallel-$(YYYYMMDD).tar.bz2; \
858	) > parallel-latest.tar.bz2.sig
859
860	gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-latest.tar.bz2.sig
861	gpg --auto-key-locate keyserver --keyserver-options auto-key-retrieve parallel-$(YYYYMMDD).tar.bz2.sig
862
863	../ftpsync/src/ftpsync parallel-$(YYYYMMDD).tar.bz2{,.sig,*asc} ftp://ftp-upload.gnu.org/incoming/alpha/
864
865# This can take 7 minutes
866	pushd /tmp; \
867	rm -rf /tmp/parallel-$(YYYYMMDD)*; \
868	while ! wget http://alpha.gnu.org/gnu/parallel/parallel-$(YYYYMMDD).tar.bz2 ; do sleep 2; done; \
869	tar xjvf parallel-$(YYYYMMDD).tar.bz2; \
870	cd parallel-$(YYYYMMDD); \
871	./configure; \
872	make -j && sudo make -j install; \
873	pushd; \
874	sudo cp /usr/local/bin/parallel /usr/local/bin/parallel-$(YYYYMMDD)
875
876monitorman:
877# If man page changed: open new pdfman
878	inotifywait -qmre MOVED_TO -e CLOSE_WRITE --format %w%f . | parallel -uj1 'echo {=/\.pod$$/ or skip()=};make -j && sudo make install; pdfman {/.} &'
879
880reuse:
881	rm -rf /tmp/reuse
882	mkdir /tmp/reuse
883	git commit -a -m dummy
884	(wd=`pwd`; \
885	cd /tmp/reuse; \
886	git clone "$$wd"; \
887	cd parallel; \
888	reuse lint || \
889	(echo Use; \
890	echo '  reuse addheader --copyright="Ole Tange, http://ole.tange.dk and Free Software and Foundation, Inc." --license="GPL-3.0-or-later" source-files'; \
891	echo or; \
892	echo '  reuse addheader --copyright="Ole Tange, http://ole.tange.dk and Free Software and Foundation, Inc." --license="GPL-3.0-or-later" --explicit-license bin-files' \
893	) )
894	git reset HEAD~ >/dev/null
895	git commit -c ORIG_HEAD >/dev/null
896
897testurls:
898	mkdir -p urls
899	cd urls && grep -v '(dead)' ../src/* | grep -h -Po 'https?://[^ $$<>")}]+' | perl -pe 's/(&gt|\{).*//;s/\\-/-/g;s/\\n//g;s/&amp;/&/g;s/&#.*//;'"s/'.*//" | grep -Ev 'parallel-(20)?$$|coolwebsite.biz' | sort -u | egrep -v 'example.com|##|\*\(' | parallel -j0 --timeout 33 --bar --tag --joblog joblog --retries 3 neno wget -m -l1 -Q1 '{=$$_=Q($$_)=}'
900
901reconf:
902	rm -fr autom4te.cache aclocal.m4 config.h config.h.in config.log Makefile.in missing install-sh
903	rm -rf src/Makefile.in
904	autoreconf --install -W gnu
905	./configure
906	make -j
907	sudo make install
908
909pack_unpack_and_test_build:
910	echo '### Building tar.bz2'
911	./configure
912	make dist
913	make dist-bzip2
914	echo "### Unpack parallel-$(YYYYMMDD).tar.bz2"
915	cp parallel-$(YYYYMMDD).tar.bz2 /tmp
916	cd /tmp && \
917	tar xjf parallel-$(YYYYMMDD).tar.bz2 && \
918	cd parallel-$(YYYYMMDD) && \
919	./configure && make -j && sudo make -j install
920
921# Tell versions [3.59,3.63) of GNU make to not export all variables.
922# Otherwise a system limit (for SysV at least) may be exceeded.
923.NOEXPORT:
924